<?xml version="1.0" encoding="UTF-8"?>
<ElementBaseInitiationBlock>
	
	<!-- Basic -->
	<Inline template="General/Element Basic No Icon"/>
	
	<!-- Stereotypes -->
	<!-- <HasValueChecker property="stereotypes">
		<Reference template="General/Stereotypes"/>
	</HasValueChecker> -->
	
	<!-- Tagged Values -->
	<HasValueChecker property="taggedValues">
		<Reference template="Tagged Values"/>
	</HasValueChecker>
	
	<!-- Summary - Template Parameters -->
	<HasValueChecker property="templateParameters">
		<Text style="@heading+">Template Parameters</Text>
		<ParagraphBreak/>
		
		<TableBlock colWidths="33, 33, 33" tableStyle="Summaries">
			<TableRow>
				<TableCell>
					<Text>Name</Text>
				</TableCell>
				<TableCell>
					<Text>Type</Text>
				</TableCell>
				<TableCell>
					<Text>Default Value</Text>
				</TableCell>
			</TableRow>
			
			<ForEach property="templateParameters">
				<TableRow>
					<TableCell>
						<Property property="name"/>
					</TableCell>
					<TableCell>
						<Property property="type"/>
					</TableCell>
					<TableCell>
						<Property property="defaultValue"/>
					</TableCell>
				</TableRow>
			</ForEach>
		</TableBlock>
	</HasValueChecker>
	
	<!-- Attributes (Summary) -->
	<HasChildElementChecker modelType="Attribute">
		<Text style="@heading+">Атрибути</Text>
		<ParagraphBreak/>
		
		<TableBlock colWidths="30, 70" tableStyle="Summaries">
			<TableRow>
				<TableCell>
					<Text>Име</Text>
				</TableCell>
				<TableCell>
					<Text>Описание</Text>
				</TableCell>
			</TableRow>
			
			<IterationBlock modelType="Attribute">
				<TableRow>
					<TableCell>
						<Property property="name"/>
					</TableCell>
					<TableCell>
						<Property property="description" style="Description"/>
					</TableCell>
				</TableRow>
			</IterationBlock>
		</TableBlock>
	</HasChildElementChecker>
	<!-- Enumeration Literals (Summary) -->
	<HasChildElementChecker modelType="EnumerationLiteral">
		<Text style="@heading+">Допустими стойности</Text>
		<ParagraphBreak/>
		
		<TableBlock colWidths="20, 80" tableStyle="Summaries">
			<TableRow>
				<TableCell>
					<Text>Име</Text>
				</TableCell>
				<TableCell>
					<Text>Описание</Text>
				</TableCell>
			</TableRow>
			
			<IterationBlock modelType="EnumerationLiteral">
				<TableRow>
					<TableCell>
						<Property property="name"/>
					</TableCell>
					<TableCell>
						<Property property="description" style="Description"/>
					</TableCell>
				</TableRow>
			</IterationBlock>
		</TableBlock>
	</HasChildElementChecker>
	<!-- Operations (Summary) -->
	<HasChildElementChecker modelType="Operation">
		<Text style="@heading+">Методи</Text>
		<ParagraphBreak/>
		
		<TableBlock colWidths="20, 80" tableStyle="Summaries">
			<TableRow>
				<TableCell>
					<Text>Име</Text>
				</TableCell>
				<TableCell>
					<Text>Описание</Text>
				</TableCell>
			</TableRow>
			
			<IterationBlock modelType="Operation">
				<TableRow>
					<TableCell>
						<Property property="name"/>
					</TableCell>
					<TableCell>
						<Property property="description" style="Description"/>
					</TableCell>
				</TableRow>
			</IterationBlock>
		</TableBlock>
	</HasChildElementChecker>
	
	<!-- Sub Diagrams & References -->
	<Reference template="General/Sub and Referenced Diagrams"/>
	
	<!-- Traceability -->
	<HasValueChecker property="traceability">
		<Reference template="Traceability"/>
	</HasValueChecker>
	
	<!-- Chart Relations -->
	<HasValueChecker property="chartRelations">
		<Text style="@heading+">Chart Relations</Text>
		<ParagraphBreak/>
		
		<TableBlock colWidths="20, 80" tableStyle="Summaries">
			<TableRow>
				<TableCell>
					<Text>Code</Text>
				</TableCell>
				<TableCell>
					<Text>Begin</Text>
				</TableCell>
				<TableCell>
					<Text>End</Text>
				</TableCell>
			</TableRow>
			
			<ForEach property="chartRelations">
				<TableRow>
					<TableCell>
						<ModelElementProperty property="code">
							<Property property="code"/>
						</ModelElementProperty>
					</TableCell>
					<TableCell>
						<ModelElementProperty property="from">
							<Icon/>
							<Property property="name"/>
						</ModelElementProperty>
					</TableCell>
					<TableCell>
						<ModelElementProperty property="to">
							<Icon/>
							<Property property="name"/>
						</ModelElementProperty>
					</TableCell>
				</TableRow>
			</ForEach>
			
		</TableBlock>
	</HasValueChecker>
	
</ElementBaseInitiationBlock>